<template>
    <Cn-page :loading="loading">
        <view slot="body">
            <view class="html-wrap">
                <view v-html="value"></view>
            </view>
        </view>
    </Cn-page>
</template>

<script>
import { queryAppInfoByType } from '@/common/api/mine.js'
export default {
    data() {
        return {
            showFlag: 0,
            pageNameFlag: 1,
            pageName: '用户协议',
            loading: true,
            value: '',
        }
    },
    methods: {},
    async onLoad() {
        let dictData = await this.$util.getDictData('appInformationType')
        dictData.forEach((item2) => {
            if (item2.code === 'User_Agreement') {
                queryAppInfoByType(item2.id).then((res) => {
                    this.value = res.data.content
                    this.loading = false
                })
            }
        })
    },
}
</script>

<style lang="scss">
.html-wrap {
    width: 750rpx;
    box-sizing: border-box;
    padding: 20rpx;
    font-size: 24rpx;
    color: #666;
    img {
        width: 100%;
    }
}
</style>
